#!/usr/bin/env bash
# ******************************************************
# Author        :   www.aiops.com
# Last modified :   2020-10-20 11:28
# Filename      :   alert.sh
# Version       :   3.0.1
# Description   :   Main alert script of zabbix.
# ******************************************************

set -e

CUR_DIR=$(cd `dirname $0`; pwd)
DC_URL="http://api.aiops.com/alert/api/event/zabbix/v3"

if [ ! -s ${CUR_DIR}/funcs ];then
	exit 1
fi
. ${CUR_DIR}/funcs

$(log INFO ALERT "Request: $1")
RESP=$(http_post "$1" "$DC_URL")
$(log INFO ALERT "Response: $RESP")

exit 0
